System.ServiceModel 4.0.0.0

Implement the interface to control the conversion from an untyped object and array of parameters to a strongly-typed method call on that object. It has a synchronous method, which takes an instance and set of inputs of type object and returns an object and a set of outputs of type object. It also has a and variant. The property specifies whether the synchronous or asynchronous method should be used.

Declares methods that take an object and an array of parameters extracted from a message, invoke a method on that object with those parameters, and return the method's return value and output parameters.

- Method
  4.0.0.0
  System.Object[]

  Implement this to return an array of parameters for the operation. This array is filled by the formatter and passed back to the invoker when is called.

  Returns an of parameter objects.

  The parameters that are to be used as arguments to the operation.

- Method
  4.0.0.0
  System.Object `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.IAsyncResult `` `` `` `` To be added.

  An asynchronous implementation of the method.

  A used to complete the asynchronous call.

  The object to be invoked. The inputs to the method. The asynchronous callback object. Associated state data.
- Method
  4.0.0.0
  System.Object `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Boolean To be added.

  The default invoker dispatches messages to the synchronous operation by default. This value is cached by the dispatcher and therefore should not change over the lifetime of the object that implements .

  Gets a value that specifies whether the or method is called by the dispatcher.